Skip to content
Guides
OrdersOrder Bumps
promotion:update

Update order bump

PUT/v1/order-bumps/{orderBumpId}

Update order bump. A successful request returns HTTP 204 without a response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

orderBumpId*string

Identifier of the order bump.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/v1/order-bumps/7204558912004325301" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "Example resource",    "description": "Example description.",    "status": "draft",    "productId": "7204558912004325301",    "variantId": "7204558912004325301",    "offerPrice": 1,    "minimumCartSubtotal": 1,    "priority": 1,    "maxPerCart": 1,    "startsAt": "2026-08-01T15:30:00Z",    "endsAt": "2026-08-01T15:30:00Z",    "badgeLabel": "example",    "callToAction": "example"  }'
Empty